# spcget
**A small bash utility to get the latest NOAA SPC forecast maps**  

All maps are taken from the
[NOAA Storm Prediction Center](https://www.spc.noaa.gov/).
The maps only include the contiguous United States.

## Installation
- Copy to your $PATH
- `chmod +x /path/to/spcget`

## Usage
`spcget <product>`

### Products
- help: shows more detailed info about each product
- fire, fire2, fire3: Fire Weather forecasts
- msd: Mesoscale Discussions: Overview of current active storms. Use
  `spcget msd <map number>` for a detailed map of one area.
- msdlist: Lists the numbers for active MSD maps issued currently. Use
  `spcget msdlist today` to see all issued MSDs for today, including
  expired ones. Use `spcget msdlist 20200101` to see MSDs from
  2020-01-01
- tstm, tstm2, tstm3, tstm4, tstmnow: Severe Thunderstorm forecasts
- watch: NOAA's current severe thunderstorm and tornado watches
- warnings: current National Weather Service advisories, watches and warnings